Skip to main content
GET
/
api
/
v1
/
testing-lab
/
results
List aggregated testing-lab results (Cekura test_framework/v1/results)
curl --request GET \
  --url https://prod.featherhq.com/api/v1/testing-lab/results \
  --header 'X-API-Key: <api-key>'
{
  "results": [
    {
      "id": 123,
      "name": "<string>",
      "agent": 123,
      "agent_name": "<string>",
      "agent_inbound": true,
      "status": "<string>",
      "success_rate": 123,
      "run_as_text": true,
      "is_cronjob": true,
      "runs": [
        {
          "id": 123,
          "status": "<string>",
          "scenario": 123,
          "number": "<string>",
          "inbound_number": "<string>",
          "scenario_name": "<string>",
          "test_profile_name": "<string>"
        }
      ],
      "met_expected_outcome_count": 123,
      "total_expected_outcome_count": 123,
      "total_runs_count": 123,
      "completed_runs_count": 123,
      "success_runs_count": 123,
      "failed_runs_count": 123,
      "scenarios": [
        {
          "id": 123,
          "name": "<string>"
        }
      ],
      "run_type": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "count": 123,
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

agentId
string
required
page
string
page_size
string
timestamp_from
string
timestamp_to
string

Response

Results retrieved successfully

results
object[]
required
count
number
next
string | null
previous
string | null